unit test;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  dscbmp, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    CheckBox1: TCheckBox;
    Label1: TLabel;
    ColorDialog: TColorDialog;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure CheckBox1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    fColorizeBitmap: TDSColorizeBitmap;
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
   fColorizeBitmap := TDSColorizeBitmap.Create(Self);
   fColorizeBitmap.parent := Self;
   fColorizeBitmap.Color := clBlue;
   fColorizeBitmap.ForeColor := clRed;
   fColorizeBitmap.ForeDither := true;
   fColorizeBitmap.SendToBack;
   fColorizeBitmap.Align := alClient;
   fColorizeBitmap.Bitmap.LoadFromFile(ExtractFilePath(Application.EXEName) +
                                      'sample.bmp');
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   fColorizeBitmap.Free;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
   fColorizeBitmap.ForeDither := CheckBox1.Checked;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
   ColorDialog.Color := fColorizeBitmap.Color;
   if ColorDialog.Execute then begin
      CheckBox1.Color := ColorDialog.Color;
      fColorizeBitmap.Color := ColorDialog.Color;
   end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   ColorDialog.Color := fColorizeBitmap.ForeColor;
   if ColorDialog.Execute then fColorizeBitmap.ForeColor := ColorDialog.Color;
end;

end.
